Subject: Re: many sockets, slow sendto

From: Zacco <[email-masked]>
Date: Tue, 06 Mar 2007 22:28:02 +0100

Hi,

Thx a lot you for the advice, I'll have a try.
And sorry for the stupid webmail, I will not use it again.

Zacco

Andi Kleen wrote:
> Zaccomer Lajos <[email-masked]> writes:
>
>   
>> I'm playing around with a simulation, in which many thousands of IP
>>
>> addresses (on interface aliases) are used to send/receive TCP/UDP
>>     
>
> Something seems to be wrong with your emailer. It adds a empty
> line between each real line.
>
>   
>> packets. I noticed that the time of send/sendto increased linearly
>>
>> with the number of file descriptors, and I found it rather strange.
>>     
>
> Yes that is strange. I would suggest you use oprofile to identify which
> parts of the kernel use the CPU time with many descriptors.
>
> -Andi
>
>